Bug 18167 - there should be no text-drag delay on any platform except for Mac
Summary: there should be no text-drag delay on any platform except for Mac
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Windows XP
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 17344
  Show dependency treegraph
 
Reported: 2008-03-27 16:20 PDT by Tony Chang
Modified: 2008-06-08 12:33 PDT (History)
3 users (show)

See Also:


Attachments
make TextDragDelay platform specific (9.78 KB, patch)
2008-03-27 16:21 PDT, Tony Chang
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Chang 2008-03-27 16:20:35 PDT
TextDragDelay is the time between mouse down and mouse move that needs to pass before selected text can be dragged.  On windows and linux, it seems like this time should be zero.

I have an upcoming patch that makes this value platform specific.
Comment 1 Tony Chang 2008-03-27 16:21:43 PDT
Created attachment 20139 [details]
make TextDragDelay platform specific

Make TextDragDelay platform specific and 0 on non-mac platforms.
Comment 2 Eric Seidel (no email) 2008-03-28 13:37:54 PDT
Patch looks good to me.  aroben or sfalken should review though.
Comment 3 Darin Adler 2008-03-30 16:41:39 PDT
Comment on attachment 20139 [details]
make TextDragDelay platform specific

This doesn't just make this platform-specific; it sets it to 0 for almost every platform.

What's the argument for having no delay on Windows and all the Windows-copycat platforms? A value of 0 seems wrong for any platform! Am I missing something?
Comment 4 Darin Adler 2008-03-30 16:42:18 PDT
Retitling the bug to match what the patch actually does. Is this really what we want to do?
Comment 5 Tony Chang 2008-03-30 20:04:23 PDT
I can't see any evidence of there being a delay on Windows.  The Vista UI guidelines make no mention of a delay:
http://msdn2.microsoft.com/en-us/library/aa511258.aspx (page 384 of the pdf)

Empirical evidence from using Windows software and Firefox's source code suggest there's no delay before a drag starts (this is also true of Firefox on mac, but that seems to be a bug).
http://mxr.mozilla.org/seamonkey/source/content/events/src/nsEventStateManager.cpp#848
Comment 6 Eric Seidel (no email) 2008-04-30 23:23:45 PDT
I agree.  no-delay seems wrong to me.  But it also definitely seems to be what Windows does. :(  aroben or sfalken should really chime in here.
Comment 7 Eric Seidel (no email) 2008-06-06 15:11:10 PDT
Comment on attachment 20139 [details]
make TextDragDelay platform specific

I asked Steve Falkenburg over email, he agrees, this delay-less behavior is correct.  r+
Comment 8 Darin Adler 2008-06-08 12:33:08 PDT
Committed revision 34449.